=== modified file 'NEWS'
--- NEWS	2008-05-01 07:03:04 +0000
+++ NEWS	2008-05-02 05:10:09 +0000
@@ -102,6 +102,25 @@
       (Aaron Bentley)
 
 
+bzr 1.4 2008-04-28
+------------------
+
+This release of Bazaar includes handy improvements to the speed of log and
+status, new options for several commands, improved documentation, and better
+hooks, including initial code for server-side hooks.  A number of bugs have
+been fixed, particularly in interoperability between different formats or
+different releases of Bazaar over there network.  There's been substantial
+internal work in both the repository and network code to enable new features
+and faster performance.
+
+  BUG FIXES:
+
+    * Pushing a branch in "dirstate" format (Branch5) over bzr+ssh would break
+      if the remote server was < version 1.2.  This was due to a bug in the
+      RemoteRepository.get_parent_map() fallback code.
+      (John Arbash Meinel, Andrew Bennetts, #214894)
+
+
 bzr 1.4rc2 2008-04-21
 ---------------------
 
@@ -128,10 +147,7 @@
 bzr 1.4rc1 2008-04-11
 ---------------------
 
-
-
-bzr 1.4rc1 2008-04-11
----------------------
+  CHANGES:
 
    * bzr main script cannot be imported (Benjamin Peterson)
 

=== modified file 'bzrlib/__init__.py'
--- bzrlib/__init__.py	2008-04-30 08:04:11 +0000
+++ bzrlib/__init__.py	2008-05-02 05:10:09 +0000
@@ -43,6 +43,7 @@
 
 version_info = (1, 5, 0, 'dev', 0)
 
+
 # API compatibility version: bzrlib is currently API compatible with 0.18.
 api_minimum_version = (0, 18, 0)
 

